org.eclipse.oomph.setup.maven

## Interface MavenImportTask

- All Superinterfaces:
    EObject, ModelElement, Notifier, SetupTask
  All Known Implementing Classes:
    MavenImportTaskImpl

      public interface MavenImportTask
      extends SetupTask

  A representation of the model object 'Maven Import Task'.

  The following features are supported:

  - `Source Locators`
  - `Project Name Template`
  See Also:
    `MavenPackage.getMavenImportTask()`
  Generated
  Model
    annotation="http://www.eclipse.org/oomph/setup/ValidTriggers triggers='STARTUP MANUAL'"

- - ### Field Summary

    - ### Fields inherited from interface org.eclipse.oomph.setup.SetupTask

      `PRIORITY_CONFIGURATION, PRIORITY_DEFAULT, PRIORITY_EARLY, PRIORITY_INSTALLATION, PRIORITY_LATE, PRIORITY_REDIRECTION`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getProjectNameTemplate()` Returns the value of the 'Project Name Template' attribute.
    `EList<SourceLocator>` | `getSourceLocators()` Returns the value of the 'Source Locators' containment reference list.
    `void` | `setProjectNameTemplate(String value)` Sets the value of the '`Project Name Template`' attribute.

    - ### Methods inherited from interface org.eclipse.oomph.setup.SetupTask

      `consolidate, dispose, getDescription, getExcludedTriggers, getID, getOverrideToken, getPredecessors, getPriority, getRestrictions, getScope, getScopeType, getSuccessors, getTriggers, getValidTriggers, isDisabled, isNeeded, overrideFor, perform, requires, setDescription, setDisabled, setExcludedTriggers, setID`

    - ### Methods inherited from interface org.eclipse.oomph.base.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getSourceLocators

          EList<SourceLocator> getSourceLocators()

      Returns the value of the 'Source Locators' containment reference list. The list contents are of type `SourceLocator`.

      If the meaning of the 'Source Locators' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Source Locators' containment reference list.
      See Also:
        `MavenPackage.getMavenImportTask_SourceLocators()`
      Generated
      Model
        containment="true" required="true" extendedMetaData="name='sourceLocator'"

    - #### getProjectNameTemplate

          String getProjectNameTemplate()

      Returns the value of the 'Project Name Template' attribute.

      If the meaning of the 'Project Name Template' attribute isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Project Name Template' attribute.
      See Also:
        `setProjectNameTemplate(String)`, `MavenPackage.getMavenImportTask_ProjectNameTemplate()`
      Generated
      Model

    - #### setProjectNameTemplate

          void setProjectNameTemplate(String value)

      Sets the value of the '`Project Name Template`' attribute.
      Parameters:
        `value` - the new value of the 'Project Name Template' attribute.
      See Also:
        `getProjectNameTemplate()`
      Generated

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html